Subject: Re: [PATCH 2/2] powerpc: MPC85xx EDAC device driver

From: Arnd Bergmann <[email-masked]>
Date: Wed, 1 Aug 2007 10:36:31 +0200

On Wednesday 01 August 2007, Dave Jiang wrote:
> Do you mean the pci_controller hose that's allocated in fsl_add_bridge? Couple
> questions....
> 1. How do I even get access to that? (in fsl_soc.c that is)
> 2. pci_controller has no "struct device" member. It only has "struct device
> *parent". What do I set the dev->parent of the platform device to?

You already have the device_node, and can simply call
of_find_device_by_node() on it to get the of_device.

The current fsl_pci code does not use the of_device of the hose but
adds the hose at the top of the device tree, afaics, but that can
change when the ppc32 PCI initialization gets changed to do the
initialization later during boot.

	Arnd <><